/*
 * Picture Puzzle Collection
 * Copyright (c) 1998-1999,2003-2006 Blazing Games Inc. All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.blazinggames.pp;

import java.awt.*;
import java.awt.event.ActionListener;

/**
 * Title Screen for stand alone puzzle games
 * 
 * @author Billy D. Spelchan
 * @version 1.0 OSR
*/
public class Title
extends Panel
{
// *********************
// ***** CONSTANTS *****
// *********************

	private static final long serialVersionUID = 8080840100L;

    // Consitant Labels
    private static final String CR1 = "Copyright " + (char)(169) + " 1998-1999,2003-2006 Blazing Games Inc";
    private static final String CR2 = "All rights reserved unless GPL License terms followed.";
    private static final String CR3 = "Original Program by Billy D. Spelchan";
    private static final String IMAGETEXT = "Images are from site posted on, NOT from Blazing Games Inc.";
    private static final String ASISTEXT = "This software is provided as is. Use at own discretion.";
    public static final String BLAZING = "Go to Blazing Games";
    public static final String START = "Start Game";


// *********************
// ***** VARIABLES *****
// *********************

    private Label _nameLabel;
    private Label _copyrightYearLabel;
    private Label _copyrightNCOLabel;
    private Label _copyrightReservedLabel;
    private Label _imageSiteLabel;
    private Label _asIsLabel;
    private Panel _buttonPanel;
    private Button _blazingButton;
    private Button _okButton;


// ***********************
// ***** CONSTRUCTOR *****
// ***********************

    public Title(ActionListener al)
    {
        super(new GridLayout(7,1));

        // create the layout components
        _nameLabel = new Label("Puzzle", Label.CENTER);
        _copyrightYearLabel = new Label(CR1, Label.CENTER);
        _copyrightNCOLabel = new Label(CR2, Label.CENTER);
        _copyrightReservedLabel = new Label(CR3, Label.CENTER);
        _imageSiteLabel = new Label(IMAGETEXT, Label.CENTER);
        _asIsLabel = new Label(ASISTEXT, Label.CENTER);
        _buttonPanel = new Panel(new GridLayout(1,2));
        _blazingButton = new Button(BLAZING);
        _blazingButton.addActionListener(al);
        _okButton = new Button(START);
        _okButton.addActionListener(al);
        _buttonPanel.add(_blazingButton);
        _buttonPanel.add(_okButton);

        // place layout components in panel
        add(_nameLabel);
        add(_copyrightYearLabel);
        add(_copyrightNCOLabel);
        add(_copyrightReservedLabel);
        add(_imageSiteLabel);
        add(_asIsLabel);
        add(_buttonPanel);
    }


// *********************************
// ***** METHODS - Title Setup *****
// *********************************

    public void setTitle(String s)
    {
        _nameLabel.setText(s);
        repaint();
    }
}
